<?php

namespace Drupal\entity_agree;

/**
 * Interface for agreement handlers that provide "applies" handling.
 */
interface AgreementHandlerAppliesInterface {

  /**
   * Determines if the agreement is applicable.
   *
   * @return bool
   *   Indicates if the agreement is applicable.
   */
  public function applies();

}
