<?php

namespace Drupal\entity_agree;

use Drupal\Component\Plugin\ConfigurableInterface;
use Drupal\Core\Plugin\PluginFormInterface;

/**
 * Interface for agreement handler plugins.
 */
interface AgreementHandlerInterface extends ConfigurableInterface, PluginFormInterface {

  /**
   * Get the plugin category.
   *
   * @return string
   *   The plugin category.
   */
  public function getCategory();

  /**
   * Get the plugin label.
   *
   * @return string
   *   The plugin label.
   */
  public function getLabel();

}
