<?php

namespace Drupal\entity_agree\Annotation;

use Drupal\Component\Annotation\Plugin;

/**
 * Defines an AgreementHandler annotation.
 *
 * @Annotation
 */
class AgreementHandler extends Plugin {

  /**
   * The plugin ID.
   *
   * @var string
   */
  public $id;

  /**
   * The human-readable name of the plugin.
   *
   * @var \Drupal\Core\Annotation\Translation
   */
  public $label;

  /**
   * The category of the plugin.
   *
   * @var \Drupal\Core\Annotation\Translation
   */
  public $category = NULL;

}
